// ******************************************************************************************
// Mod Name: itari
// Mod Id: itari_GTAMods
// Mod Version: 0.0.1
// Mod File: code.js
// ******************************************************************************************
// Author: GTA Mods
// Last modified: 1/3/2015 4:38 PM
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var itari = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Itari 8700
// -----------------------------------------------------------
GDT.addPlatform({
	id:"5cf01d00-226f-44c7-aae4-b5fe20535f5f",
	name:"Itari 8700",
	company:"Itari",
	startAmount:0.05,
	unitsSold:0.55,
	licencePrize:1E5,
	published:"3/2/1",
	platformRetireDate:"5/1/1",
	developmentCosts:4E4,
	genreWeightings:[  0.9, 0.8, 1, 0.7, 0.6, 1 ],
	audienceWeightings:[  0.7, 0.9, 0.8 ],
	techLevel:1,
	iconUri: itari_GTAMods.modPath + "/images/platforms/Atari-7800-1.png",
	events:[{
	id: "a817255e-9655-478f-81a6-fe2fadd5dbef",
	date: "5/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari announced today the discontinuation of the 8700 console. The 8700, despite being technically comparable to the TES, was unable to regain Atari's lost fan base. Itari continues to plan future console releases.",
	image: itari_GTAMods.modPath + "/images/notifications/itari.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "27c79dc1-adf5-4d0a-8455-b450da71d423",
	date: "3/1/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari, well known for its popular 6200 console, will re-enter the console market with the release of its new console, the 8700. The 8700 is technologically comparable to the TES, but the failure of its most recent console, the 2500, weighs heavily on the mind of company executives.",
	image: itari_GTAMods.modPath + "/images/notifications/Atari-7800-1.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Puma
// -----------------------------------------------------------
GDT.addPlatform({
	id:"bfee92a5-3a21-4948-a4fb-0cd97b6ab403",
	name:"Puma",
	company:"Itari",
	startAmount:0.05,
	unitsSold:0.315,
	licencePrize:1E5,
	published:"6/1/1",
	platformRetireDate:"8/12/4",
	developmentCosts:1E5,
	genreWeightings:[  1, 0.8, 0.8, 0.9, 0.8, 0.6 ],
	audienceWeightings:[  0.6, 0.9, 1 ],
	techLevel:3,
	iconUri: itari_GTAMods.modPath + "/images/platforms/Atari-Jaguar-1.png",
	events:[{
	id: "031e628c-888c-422f-9f69-fc68da896df0",
	date: "5/12/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari announced today the upcoming release of their latest foray into the console market, the Puma. The Puma will be the first 64 bit console to hit the market, and the company hopes this innovation will help it to recapture its dominance over the market.",
	image: itari_GTAMods.modPath + "/images/notifications/Atari-Jaguar-1.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "ed58ac28-19c7-46a2-97ec-4d81d10a5e2c",
	date: "8/12/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari announced today their sale to a small tech company, TJ Containment. This signals the end of support for the Itari Puma. Despite the Puma's impressive technical specs, the console sold poorly. Consumers complained of the cost and the general inadequacy of the peripherals.",
	image: itari_GTAMods.modPath + "/images/notifications/itari.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding Bobcat
// -----------------------------------------------------------
GDT.addPlatform({
	id:"297d84dd-e3fa-4d23-b8e8-5df8dcf961df",
	name:"Bobcat",
	company:"Itari",
	startAmount:0.05,
	unitsSold:0.45,
	licencePrize:9E4,
	published:"3/3/2",
	platformRetireDate:"6/6/4",
	developmentCosts:4E4,
	genreWeightings:[  0.8, 0.9, 0.9, 0.9, 0.6, 0.7 ],
	audienceWeightings:[  0.8, 1, 0.7 ],
	techLevel:3,
	iconUri: itari_GTAMods.modPath + "/images/platforms/Atari-Lynx-1.png",
	events:[{
	id: "9ad42e0d-a0e1-455e-9b27-1bbf1f718fcf",
	date: "3/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari today completed their acquisition of Epox, the developer of the Dandy Game. The Dandy Game, which will be re-branded as the Bobcat, is ahead of its time technologically, and seems poised to remain relevant well into the future.",
	image: itari_GTAMods.modPath + "/images/notifications/Atari-Lynx-1.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
,{
	id: "d6792d1e-630d-47df-ac34-d96a8713dee0",
	date: "6/6/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry News",
	text: "Itari announced today the discontinuation of their groundbreaking handheld, the Bobcat. The company cited a need to direct efforts towards their recently released Puma console, which is struggling to compete with consoles from Ninvento and Vena.",
	image: itari_GTAMods.modPath + "/images/notifications/itari.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************

GDT.addEvent({
	id: "31f3b592-ff9d-40f7-8077-a3760aec4360",
	date: "1/1/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry Update",
	text: "The decline of the home console market continued today as industry leader Itari announced the discontinuation of its most recent model, the 2500. It is rumored the console sold just over a million units, while its venerable predecessor, the 6200, sold well over 30 million...",
	image: itari_GTAMods.modPath + "/images/notifications/itari.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});

GDT.addEvent({
	id: "ac4435db-af1c-4ee6-9960-f6a3f2d8bab4",
	date: "8/10/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Industry Rumors",
	text: "Rumor has it that Itari is looking for a buyer. After its early success with the 6200, the company has failed to re-establish itself in the home console market, and has enjoyed at best modest success with its last 4 offerings...",
	image: itari_GTAMods.modPath + "/images/notifications/itari.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	});



})();
